Subject: Re: bug#32032: 26.1; Emacs 26 opens under X with blank window

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jul 2018 15:51:26 +0300

> From: [email-masked]
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Fri, 06 Jul 2018 22:33:05 +1000
> 
> 
> [1:text/plain Show]
> 
> 
> [2:text/html Hide Save:noname (2kB)]
> 
>  Given that there are known bugs with this feature that no one is
>  working on, perhaps we should introduce an optional configure switch
>  to build without double-buffering.
> 
>  Agreed. Does it make sense for a Emacs source code newbie to chip in here?
> 
>  Of course.  We were all newbies at some point.
> 
> I created a new `configure.ac` (see https://gist.github.com/halloleo/8f4ba4b1ffcc3874a2ee0e16e03f6618)
> which provides a `--without-backbuffer` option:
> 
>     ./configure --without-gnutls --without-backbuffer

Thanks.

> then builds an Emacs exe which starts up properly on unbuffered X servers without any custom `.emacs` file.
> 
> Where do I put the `configure.ac` file and how do I create a pull request for it?

We don't (yet) work with pull requests.  Please make the change in
your local clone of the Emacs repository, on the master branch, and
then use "git format-patch" to prepare a patch and post the patch
here.

(Please consult CONTRIBUTE in the repository for some of the practices
we advise to use with contributed code.)